#ifndef __SYSTEM_H__
#define __SYSTEM_H__
#include <libopencm3/cm3/memorymap.h>
#include "libopencm3/stm32/nvic.h"

#define FLASH_BASE            ((uint32_t)0x08000000)

typedef void InterruptHandler();
typedef int IRQn_Type; // wej

void InitializeSystem();

void InstallInterruptHandler(IRQn_Type interrupt,InterruptHandler handler);
void RemoveInterruptHandler(IRQn_Type interrupt,InterruptHandler handler);

static inline void EnableInterrupt(IRQn_Type interrupt)
{
	nvic_enable_irq(interrupt);
}

static inline void DisableInterrupt(IRQn_Type interrupt)
{
	nvic_disable_irq(interrupt);
}

static inline void SetInterruptPriority(IRQn_Type interrupt, int priority)
{
	nvic_set_priority(interrupt, priority);
}

#endif
