/** 
 ** @file   spi.h
 ** @date   2012-06-23
 ** @author Johannes Heimansberg (wejp.k.vu)
 **
 ** @brief  A simple Pong game for the STM32F4-Discovery board
 **         with external VGA DAC and accelerometer control.
 **
 ** This program is free software; you can redistribute it and/or
 ** modify it under the terms of the GNU General Public License
 ** as published by the Free Software Foundation; version 2 of
 ** the License. See the file COPYING for details.
 **/
#ifndef WEJ_SPI_H
#define WEJ_SPI_H
#include <stdint.h>
#include <stdbool.h>
uint8_t     wspi_read_byte(uint8_t address, uint32_t cs_port, uint16_t cs_pin);
void        wspi_read_bytes(uint8_t *buffer, uint8_t address, int numbytes, uint32_t cs_port, uint16_t cs_pin);
void        wspi_write_byte(uint8_t byte, uint8_t address, uint32_t cs_port, uint16_t cs_pin);
void        wspi_write_bytes(uint8_t *bytes, uint8_t address, int numbytes, uint32_t cs_port, uint16_t cs_pin);
uint8_t     wspi_transfer_byte(uint8_t byte);
#endif
